#!/bin/ksh -x
#
#
# Verifica se foi passado algum parametro
hostname
export hh=${1}
if (($#<3)) ; then
export Run_Date=`date "+"%Y%m%d"`${hh}
else
export Run_Date=${3}${hh}
fi

# VARIAVEIS
export FInitBC=GFS
export Dir_home=/dados/grpeta/dsk003/scripts/GFS
export Dir_wrk=/dados/grpeta/dsk003/dados/GFS
export Dir_SST=/dados/grpeta/dsk003/dados/SST
export Dir_scr=${Dir_home}/scripts
export Dir_GFS_out=${Dir_wrk}/output/${Run_Date}
export Dir_util=${Dir_home}/util
export Fct=${2}
export InitBC=6
export IntSST=24


cd ${Dir_scr}

typeset -Z3 ifct ftime Fct

ifct=000
ihora=`echo ${Run_Date} |cut -c 9-10`

export data_grib=${Dir_wrk}

export yyyy=`echo ${Run_Date} | cut -c1-4`
export mm=`echo ${Run_Date} | cut -c5-6`
export dd=`echo ${Run_Date} | cut -c7-8`
export hh=`echo ${Run_Date} | cut -c9-10`
export date_cfs=`echo ${Run_Date} | cut -c1-8`
export date_sst=`echo ${Run_Date} | cut -c1-8`


echo "GFS DATA  " ${Run_Date}

#https://nomads.ncep.noaa.gov/pub/data/nccf/com/gfs/prod/gfs.20220112/00/atmos/

    
datadir=pub/data/nccf/com/gfs/prod
server=https://nomads.ncep.noaa.gov
dir_pgrb2=gfs.${yyyy}${mm}${dd}/${hh}/atmos
fpref=gfs.t${hh}z.pgrb2.0p25.f     

ftime=${ifct}

if [ ! -d ${data_grib}/${Run_Date}} ] ; then
  mkdir -p  ${data_grib}/${Run_Date}
else
  rm -f ${data_grib}/${Run_Date}/wget_pgrb2.list 
fi


cd ${data_grib}/${Run_Date}
    
    while ((ftime<=${Fct})) ; do
    datefct=`${Dir_util}/caldate.3.0 ${Run_Date} + ${ftime}hr 'yyyymmddhh'`
#for ftime in 00 06 12 18 24 30 36 42 48;do
  ifile=gfs.t${hh}z.pgrb2.0p25.f${ftime}
  
  if [[ ! -s ${data_grib}/${Run_Date}/${ifile} ]] ; then
    echo $server/${datadir}/${dir_pgrb2}/${ifile}
    echo "$server/${datadir}/${dir_pgrb2}/${ifile}" >> ${data_grib}/${Run_Date}/wget_pgrb2.list
   fi
        let ftime=$ftime+$InitBC

    done

cd ${data_grib}/${Run_Date}
print "Current file : wget_pgrb2.list"
cat ${data_grib}/${Run_Date}/wget_pgrb2.list  | xargs -n 1 -P 10 wget -q -c -t 3

exit 
${Dir_scr}/CFS_deco.ksh ${hh} ${CFS_Member} ${Fct} ${date_cfs}
   
   
