#!/bin/ksh -x
#
#
# Verifica se foi passado algum parametro
export hh=${1}
if (($#<2)) ; then
export Run_Date=`date "+"%Y%m%d"`${hh}
else
export Run_Date=${2}${hh}
fi

# VARIAVEIS
#export Run_Date=2017103000
export Dir_home=/pesq/grpeta/dsk003/scripts/GFS
export Dir_wrk=/dados/grpeta/dsk003/dados/GFS
export Dir_scr=${Dir_home}/scripts
export Dir_CFS_out=${Dir_wrk}/data/GFS/output/${Run_Date}
export Dir_util=${Dir_home}/util
export data_grib=${Dir_GFS}/data/GFS
export Fct=276
export FInitBC=GFS
export InitBC=6


cd ${Dir_scr}

typeset -Z3 ifct ftime

ifct=000
yyyymmdd=`echo ${Run_Date} |cut -c 1-8`
ihora=`echo ${Run_Date} |cut -c 9-10`

export data_grib=${Dir_wrk}/data/${FInitBC}
export data_sst=${Dir_wrk}/data/grib
export sst_get_date=`${Dir_util}/caldate.3.0 ${Run_Date} - 1d 'yyyymmdd'`
export hh=`echo ${Run_Date} | cut -c9-10`
export date_gfs=`echo ${Run_Date} | cut -c1-8`
export date_sst=`echo ${Run_Date} | cut -c1-8`


echo "GFS DATA  " ${Run_Date}

#ftp://ftpprd.ncep.noaa.gov/pub/data/nccf/com/gfs/prod/gfs.2008081300/

datadir=/data/nccf/com/gfs/prod/gfs.${yyyymmdd}/${hh}
datadirsst=/data/nccf/com/gfs/prod
server=ftpprd.ncep.noaa.gov

fsst=rtgssthr_grb_0.083
ftime=${ifct}

if [ ! -d ${data_grib}/${Run_Date} ] ; then
  mkdir -p  ${data_grib}/${Run_Date}
fi


if [[ ! -s ${Dir_SST}/sst_Eta_${date_sst}.bin ]] ; then
   cd ${Dir_SST}
   wget -c http://$server$datadirsst/sst.${sst_get_date}/${fsst}.grib2
   mv -v ${Dir_SST}/${fsst}.grib2 ${Dir_SST}/${fsst}_${date_sst}.grib2
   ${Dir_home}/util/wgrib2 -s -YY  -d 1 -order we:ns ${Dir_SST}/${fsst}_${date_sst}.grib2 -ieee ${Dir_SST}/sst_Eta_${date_sst}.bin
   echo "passou wgrib2"
   chmod 755 ${Dir_SST}/sst_Eta_${date_sst}.bin
fi

cd ${data_grib}/${Run_Date}
    
    while ((ftime<=${Fct})) ; do
    datefct=`${Dir_util}/caldate.3.0 ${Run_Date} + ${ftime}hr 'yyyymmddhh'`
#for ftime in 00 06 12 18 24 30 36 42 48;do
    ifile=gfs.t${ihora}z.pgrb2.0p25.f${ftime}  
  if [[ ! -s ${data_grib}/${Run_Date}/${ifile} ]] && [[ ! -s ${data_sst}/${fsst}_${Run_Date}.grib2 ]] ; then
    echo $server$datadir/${ifile}
    echo "https://$server$datadir/${ifile}" >> ${data_grib}/${Run_Date}/wget.list
   fi
        let ftime=$ftime+$InitBC

    done
 
   cat ${data_grib}/${Run_Date}/wget.list | xargs -n 1 -P 16 wget -q -c
   
